Index: /extensions/Piwecard/admin.php
===================================================================
--- /extensions/Piwecard/admin.php	(revision 19925)
+++ /extensions/Piwecard/admin.php	(revision 19926)
@@ -26,4 +26,4 @@
 $tabsheet->assign();
 
-include_once(ECARD_PATH.'/admin/'.$page['tab'].'.php');
+include_once(ECARD_PATH.'/admin/admin_'.$page['tab'].'.php');
 ?>
Index: /extensions/Piwecard/admin/admin_consult.php
===================================================================
--- /extensions/Piwecard/admin/admin_consult.php	(revision 19926)
+++ /extensions/Piwecard/admin/admin_consult.php	(revision 19926)
@@ -0,0 +1,67 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $template, $page;
+
+$ecard = get_plugin_data($plugin_id);
+
+$start =  (isset($_GET['start']) ? $_GET['start'] : 0);
+// Verify if the previous action is delete the last ecard on a page, go to first page
+if ($start != 0 and $ecard->get_nb_ecard() == $ecard->my_config['nb_ecard_page'])
+	$start = 0;
+
+if (isset($_GET['action'])) {
+	$action = $_GET['action'];
+	// delete one ecard
+	if ($action == "delete") {
+		$ecard_id = $_GET['id'];
+		$ecard->delete_ecard($ecard_id, isset($_GET['force']));
+		redirect(ECARD_ADMIN . '-consult&amp;start='.$start);
+	} elseif ($action == "delall") {	// delete all unvalid
+		$ecard->delete_allinvalid_ecard();
+		redirect(ECARD_ADMIN . '-consult');
+	}
+} 
+
+//Create the navigation bar (for more than 1 page)
+$consult_url = ECARD_ADMIN.'-consult';
+$ecard_navbar = array();
+$ecard_navbar = create_navigation_bar($consult_url, $ecard->get_nb_ecard(), $start, $ecard->my_config['nb_ecard_page']);
+
+$query = 'SELECT * FROM '.ECARD_TABLE.' ORDER BY date DESC LIMIT '.$start.','.$ecard->my_config['nb_ecard_page'].';';
+$result = pwg_query($query);
+
+while($file = mysql_fetch_assoc($result)) {
+	$ecard_url = embellish_url(get_absolute_root_url() . './index.php?/ecard/'.$file['numero']);
+
+	// Check if the ecard is valid 
+	if ($ecard->is_valid($file['numero']))	
+		$actif = true;
+	else 
+		$actif = false;
+
+	$template->append('ecard_file',array(
+									'ID'				=> $file['numero'],
+									'SUJET'				=> $file['sujet'],
+									'LINK' 				=> $ecard_url,
+									'FROM'  			=> $file['nomexp'],
+									'FROMMAIL'			=> $file['adrexp'],
+									'TO'  				=> $file['nomdest'],
+									'TOMAIL' 			=> $file['adrdest'],
+									'DATE' 				=> $file['date'],
+									'VALID' 			=> $actif,
+									'ECARD_DELETE' 		=> $consult_url.'&amp;action=delete&amp;id='.$file['numero'].'&amp;start='.$start,
+									'ECARD_DELETE_ADM' 	=> $consult_url.'&amp;action=delete&amp;id='.$file['numero'].'&amp;force&amp;start='.$start,
+	));
+}
+
+// Get the number of ecard (total & valid & invalid)
+$template->assign('NBECARDVALID', $ecard->get_nb_valid_ecard());
+$template->assign('NBECARD', $ecard->get_nb_ecard());
+
+$template->assign('ecard_del_all', $consult_url.'&amp;action=delall' );
+$template->assign('navbar', $ecard_navbar );
+
+$template->set_filename('plugin_admin_consult', dirname(__FILE__) . '/template/admin_consult.tpl');
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_consult');
+?>
Index: /extensions/Piwecard/admin/admin_manage.php
===================================================================
--- /extensions/Piwecard/admin/admin_manage.php	(revision 19926)
+++ /extensions/Piwecard/admin/admin_manage.php	(revision 19926)
@@ -0,0 +1,224 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $template, $page;
+ 
+$me = get_plugin_data($plugin_id);
+
+ $template->set_filenames( 
+		array('plugin_admin_content' => ECARD_ROOT.'/admin/template/admin_manage.tpl',
+			  'double_select' => 'double_select.tpl'
+			) );
+
+
+
+		
+// Switch  on right side (=> )
+if ( isset($_POST['falsify']) and !is_adviser() 
+    and isset($_POST['cat_true']) and count($_POST['cat_true']) > 0) 
+{
+	foreach ($_POST['cat_true'] as $cat)
+		unset($me->my_config['cats'][array_search($cat,$me->my_config['cats'])]);
+
+	$me->save_config();
+
+}
+// Switch  on left side ( <=)
+if ( isset($_POST['trueify']) and !is_adviser() 
+    and isset($_POST['cat_false']) and count($_POST['cat_false']) > 0) 
+{
+
+	$query = '
+	  SELECT id, name, uppercats, global_rank
+	  FROM '.CATEGORIES_TABLE.
+	  ' WHERE id IN ("'.implode('","', $_POST['cat_false']).'");';
+
+	$result = pwg_query($query);
+	$categories = array();
+	if (!empty($result))
+	{
+		while ($row = mysql_fetch_assoc($result))
+			array_push($categories, $row);			
+	}
+	usort($categories, 'global_rank_compare');
+
+	if (!empty($result))
+	{
+		foreach ($categories as $cat)
+		{
+			array_push($me->my_config['cats'], $cat['id']);
+		}
+	}
+
+	$me->save_config();
+}
+			
+
+if (isset($_POST['submit'])) { 
+
+	$me->my_config['allcats'] = isset($_POST['allcats']);
+	$me->my_config['user_cat'] = isset($_POST['user_cat']);
+	$me->my_config['recursive'] = isset($_POST['recursiv']);
+	$me->my_config['groups'] = isset($_POST['groups']) ? 
+                          array_map("mysql_escape_string", $_POST['groups']) :
+                          array(); 
+
+	$me->save_config();
+	array_push($page['infos'], l10n('ecard_admin_saveOK'));
+	
+}
+
+
+
+// Groups selection
+$groups = get_all_groups();
+if (!empty($groups))
+{
+  $template->assign('group_perm', array('GROUPSELECTION' => get_html_groups_selection($groups, 'groups', (isset($me->my_config['groups']) ? $me->my_config['groups'] : array()))));
+  
+}
+
+
+	
+// Test double select wall categories 
+// Categories non prises en compte
+$query = '
+  SELECT id, name, uppercats, global_rank
+  FROM '.CATEGORIES_TABLE.
+  ' WHERE id not IN ("'.implode('","', $me->my_config['cats']).'");';
+
+  $result = pwg_query($query);
+  $categories = array();
+if (!empty($result))
+{
+	while ($row = mysql_fetch_assoc($result))
+		array_push($categories, $row);
+}
+usort($categories, 'global_rank_compare');
+
+$tpl = array();
+if (!empty($result))
+{
+		foreach ($categories as $cat)
+	{
+      		$tpl[$cat['id']] = get_cat_display_name_cache($cat['uppercats'],
+                                           null,
+                                           false);
+	
+	}
+}
+$template->assign( 'category_option_false', $tpl);
+$template->assign( 'category_option_false_selected', array());
+
+
+
+
+// Categories prises en compte
+
+$query = '
+  SELECT id, name, uppercats, global_rank
+  FROM '.CATEGORIES_TABLE.
+  ' WHERE id IN ("'.implode('","', $me->my_config['cats']).'");';
+
+$result = pwg_query($query);
+  $categories = array();
+if (!empty($result))
+{
+	while ($row = mysql_fetch_assoc($result))
+		array_push($categories, $row);
+}
+usort($categories, 'global_rank_compare');
+$tpl2 = array();
+if (!empty($result))
+{
+		foreach ($categories as $cat)
+	{
+      		$tpl2[$cat['id']] = get_cat_display_name_cache($cat['uppercats'],
+                                           null,
+                                           false);
+	
+	}
+}
+$template->assign( 'category_option_true', $tpl2);
+$template->assign( 'category_option_true_selected', array());
+
+$template->assign('ECARD_ALLCATS', ($me->my_config['allcats'] ? 'checked="checked"' : ''));
+$template->assign('ECARD_USERCAT', ($me->my_config['user_cat'] ? 'checked="checked"' : ''));
+$template->assign('ECARD_RECURSIV', ($me->my_config['recursive'] ? 'checked="checked"' : ''));
+
+
+$template->assign(Array(
+	'F_ACTION' => '',
+	'L_CAT_OPTIONS_TRUE' => l10n('SelectedCat'),
+	'L_CAT_OPTIONS_FALSE' => l10n('NonSelectedCat'),
+));
+
+
+
+$template->assign_var_from_handle('DOUBLE_SELECT', 'double_select');
+$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
+
+
+
+function get_html_groups_selection(
+  $groups,
+  $fieldname,
+  $selecteds = array()
+  )
+{
+  global $conf;
+  if (count ($groups) == 0 )
+  {
+    return '';
+  }
+  $output = '<div id="'.$fieldname.'">';
+  $id = 1;
+  foreach ($groups as $group)
+  {
+    $output.=
+
+      '<input type="checkbox" name="'.$fieldname.'[]"'
+      .' id="group_'.$id++.'"'
+      .' value="'.$group['id'].'"'
+      ;
+
+    if (in_array($group['id'], $selecteds))
+    {
+      $output.= ' checked="checked"';
+    }
+
+    $output.=
+      '><label>'
+      .'&nbsp;'. $group['name']
+      .'</label>'
+      ."\n"
+      ;
+  }
+  $output.= '</div>';
+
+  return $output;
+}
+
+
+
+function get_all_groups()
+{
+$query = '
+SELECT id, name
+  FROM '.GROUPS_TABLE.'
+  ORDER BY name ASC
+;';
+$result = pwg_query($query);
+
+$groups = array();
+  while ($row = mysql_fetch_assoc($result))
+  {
+    array_push($groups, $row);
+  }
+
+  uasort($groups, 'name_compare');
+  return $groups;
+}
+
+
+?>
Index: /extensions/Piwecard/admin/admin_params.php
===================================================================
--- /extensions/Piwecard/admin/admin_params.php	(revision 19926)
+++ /extensions/Piwecard/admin/admin_params.php	(revision 19926)
@@ -0,0 +1,64 @@
+<?php
+if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
+
+global $template, $page;
+ 
+$me = get_plugin_data($plugin_id);
+
+
+if (isset($_POST['submit'])) { 
+
+    $me->my_config['activ'] = $_POST['ecard_activ'];
+    $me->my_config['send_copy'] = isset($_POST['ecard_sendcopy']);
+    $me->my_config['expmail_change'] = isset($_POST['ecard_modifexpmail']);
+    $me->my_config['send_HTML'] = isset($_POST['ecard_sendhtml']);
+    $me->my_config['ecard_showinfos'] = isset($_POST['ecard_showinfos']);
+    $me->my_config['nb_ecard_page'] = $_POST['ecard_nb_page'];
+
+    $me->my_config['defaultmail'] = $_POST['defaultmail'];
+
+	
+	$me->my_config['subject_link'] = htmlspecialchars($_POST['ecard_subject_link']);
+	$me->my_config['message_link'] = htmlspecialchars($_POST['ecard_message_link']);
+	$me->my_config['message_HTML'] = stripslashes($_POST['ecard_message_html']);
+	$me->save_config();
+	array_push($page['infos'], l10n('ecard_admin_saveOK'));
+	
+}
+
+$template->append('ECARD_ACTIV',array('ID' => 0,'NAME' => l10n('ecard_nolimit'),'SELECTED' => ($me->my_config['activ'] == 0 ? 'selected' : '')));
+
+for($jj=5; $jj < 30; $jj+=5)
+{
+	$template->append('ECARD_ACTIV',array('ID' => $jj,'NAME' => $jj.' '.l10n('ecard_days'),'SELECTED' => ($me->my_config['activ'] == $jj ? 'selected' : '')));
+}
+
+for($jj=1; $jj < 20; $jj++)
+	$template->append('ECARD_NB_PAGE',array('ID' => $jj,'NAME' => $jj,'SELECTED' => ($me->my_config['nb_ecard_page'] == $jj ? 'selected' : '')));
+
+
+$template->assign('ECARD_SENDCOPY', $me->my_config['send_copy'] ? 'checked="checked"' : '');
+$template->assign('ECARD_MODIFEXPMAIL', $me->my_config['expmail_change'] ? 'checked="checked"' : '');
+$template->assign('ECARD_SENDHTML', $me->my_config['send_HTML'] ? 'checked="checked"' : '');
+$template->assign('ECARD_SHOWINFOS', $me->my_config['ecard_showinfos'] ? 'checked="checked"' : '');
+
+$template->assign('ECARD_DEFAULT_MAIL', $me->my_config['defaultmail']);
+
+$template->assign('ECARD_SUBJECT_LINK', htmlspecialchars_decode($me->my_config['subject_link']));
+$template->assign('ECARD_MESSAGE_LINK', htmlspecialchars_decode($me->my_config['message_link']));
+$template->assign('ECARD_MESSAGE_HTML', htmlspecialchars_decode($me->my_config['message_HTML']));
+	
+// Use FCK Editor
+if (function_exists('set_fckeditor_instance'))
+{
+  set_fckeditor_instance('ecard_message_html', 'Full', '99%', '250px');
+}
+
+    
+$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/admin_params.tpl');
+$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
+
+		
+
+
+?>
Index: tensions/Piwecard/admin/consult.php
===================================================================
--- /extensions/Piwecard/admin/consult.php	(revision 19925)
+++ 	(revision )
@@ -1,113 +1,0 @@
-<?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-global $template, $page;
- 
- 
-$me = get_plugin_data($plugin_id);
-
-$start =  (isset($_GET['start']) ? $_GET['start'] : 0);
-
-// Verify if the previous action is delete the last ecard on a page, go to first page
-if ($start != 0 
-	and $me->get_nb_ecard() == $me->my_config['nb_ecard_page']
-	)
-	$start = 0 ;
-
-if (isset($_GET['action']))
-{
-	$action = $_GET['action'];
-	// delete one unvalid
-	if ($action == "delete")
-	{
-		$ecard_id = $_GET['id'];
-		$me->delete_ecard($ecard_id, isset($_GET['force']));
-		redirect( ECARD_ADMIN . '-consult&amp;start='.$start);
-
-	}
-	elseif ($action == "delall")	// delete all unvalid
-	{
-		$me->delete_allinvalid_ecard();
-		redirect( ECARD_ADMIN . '-consult');
-	}
-} 
-
-
-
-// Create the navigation bar (for more than 1 page)
-$url = PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . ECARD_DIR . '%2Fadmin%2Fadmin.php&amp;tab=consult';
-//PHPWG_ROOT_PATH  . 'admin.php?page=plugin&amp;section='  	. ECARD_DIR . '%2Fadmin%2Fconsult.php';
-$ecard_navbar = array();
-$ecard_navbar =  create_navigation_bar(
-  $url, $me->get_nb_ecard(), $start, $me->my_config['nb_ecard_page']);
-
-$query = 'SELECT * FROM '.ECARD_TABLE
-		. ' ORDER BY date DESC'
-		. ' LIMIT '.$start.','.$me->my_config['nb_ecard_page']
-		.';';
-$result = pwg_query($query);
-//$tableau = mysql_fetch_assoc($result);
-
-
-while($file = mysql_fetch_assoc($result))
-{
-//	echo "numero=".$file['numero'];
-	$chemin = embellish_url(get_absolute_root_url() . './index.php?/ecard/'.$file['numero']);
-
-	if ($me->debug)
-	{
-		echo "date = ".date("Y-m-d H:m:s");
-		echo " / date file = ".$file['date'];
-		echo " / config= ".$me->my_config['activ'];
-		echo " / Nbjours = ".$me->NbJours($file['date'], date("Y-m-d H:m:s"));
-	}
-
-	// Check if the ecard is valid 
-	
-	if ($me->is_valid($file['numero']))	
-		$actif = true;
-	else 
-		$actif = false;
-		
-	
-	/*
-	if ($me->my_config['activ'] == 0)	// unlimited
-		$actif = true;
-	elseif ($me->NbJours($file['date'], date("Y-m-d H:m:s")) > $me->my_config['activ'])		// during the validate time
-		$actif = false;
-	else 
-		$actif = true;
-	*/
-	
-
-	$template->append('FILE',array( 'ID'	=> $file['numero'],
-									'SUJET'	=> $file['sujet'],
-								    'LINK' 	=> $chemin,
-									'FROM'  	=> $file['nomexp'],
-									'FROMMAIL'=> $file['adrexp'],
-									'TO'  	=> $file['nomdest'],
-									'TOMAIL' => $file['adrdest'],
-									'DATE' => $file['date'],
-									'VALID' => $actif,
-									'ECARD_DELETE' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . ECARD_DIR . '%2Fadmin%2Fconsult.php&amp;action=delete&amp;id='.$file['numero'].'&amp;start='.$start,
-									'ECARD_DELETE_ADM' => PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . ECARD_DIR . '%2Fadmin%2Fconsult.php&amp;action=delete&amp;id='.$file['numero'].'&amp;force&amp;start='.$start,
-
-									
-									
-					));
-}
-
-// Get the number of ecard (total & valid & invalid)
-$template->assign( 'NBECARDVALID', $me->get_nb_valid_ecard());
-$template->assign( 'NBECARD', $me->get_nb_ecard());
-
-
-$template->assign( 'DELALL', PHPWG_ROOT_PATH . 'admin.php?page=plugin&amp;section=' . ECARD_DIR . '%2Fadmin%2Fconsult.php&amp;action=delall&amp' );
-$template->assign( 'navbar', $ecard_navbar );
-
-$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/consult.tpl');
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-
-
-
-?>
Index: tensions/Piwecard/admin/manage.php
===================================================================
--- /extensions/Piwecard/admin/manage.php	(revision 19925)
+++ 	(revision )
@@ -1,224 +1,0 @@
-<?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-global $template, $page;
- 
-$me = get_plugin_data($plugin_id);
-
- $template->set_filenames( 
-		array('plugin_admin_content' => ECARD_ROOT.'/admin/template/manage.tpl',
-			  'double_select' => 'double_select.tpl'
-			) );
-
-
-
-		
-// Switch  on right side (=> )
-if ( isset($_POST['falsify']) and !is_adviser() 
-    and isset($_POST['cat_true']) and count($_POST['cat_true']) > 0) 
-{
-	foreach ($_POST['cat_true'] as $cat)
-		unset($me->my_config['cats'][array_search($cat,$me->my_config['cats'])]);
-
-	$me->save_config();
-
-}
-// Switch  on left side ( <=)
-if ( isset($_POST['trueify']) and !is_adviser() 
-    and isset($_POST['cat_false']) and count($_POST['cat_false']) > 0) 
-{
-
-	$query = '
-	  SELECT id, name, uppercats, global_rank
-	  FROM '.CATEGORIES_TABLE.
-	  ' WHERE id IN ("'.implode('","', $_POST['cat_false']).'");';
-
-	$result = pwg_query($query);
-	$categories = array();
-	if (!empty($result))
-	{
-		while ($row = mysql_fetch_assoc($result))
-			array_push($categories, $row);			
-	}
-	usort($categories, 'global_rank_compare');
-
-	if (!empty($result))
-	{
-		foreach ($categories as $cat)
-		{
-			array_push($me->my_config['cats'], $cat['id']);
-		}
-	}
-
-	$me->save_config();
-}
-			
-
-if (isset($_POST['submit'])) { 
-
-	$me->my_config['allcats'] = isset($_POST['allcats']);
-	$me->my_config['user_cat'] = isset($_POST['user_cat']);
-	$me->my_config['recursive'] = isset($_POST['recursiv']);
-	$me->my_config['groups'] = isset($_POST['groups']) ? 
-                          array_map("mysql_escape_string", $_POST['groups']) :
-                          array(); 
-
-	$me->save_config();
-	array_push($page['infos'], l10n('ecard_admin_saveOK'));
-	
-}
-
-
-
-// Groups selection
-$groups = get_all_groups();
-if (!empty($groups))
-{
-  $template->assign('group_perm', array('GROUPSELECTION' => get_html_groups_selection($groups, 'groups', (isset($me->my_config['groups']) ? $me->my_config['groups'] : array()))));
-  
-}
-
-
-	
-// Test double select wall categories 
-// Categories non prises en compte
-$query = '
-  SELECT id, name, uppercats, global_rank
-  FROM '.CATEGORIES_TABLE.
-  ' WHERE id not IN ("'.implode('","', $me->my_config['cats']).'");';
-
-  $result = pwg_query($query);
-  $categories = array();
-if (!empty($result))
-{
-	while ($row = mysql_fetch_assoc($result))
-		array_push($categories, $row);
-}
-usort($categories, 'global_rank_compare');
-
-$tpl = array();
-if (!empty($result))
-{
-		foreach ($categories as $cat)
-	{
-      		$tpl[$cat['id']] = get_cat_display_name_cache($cat['uppercats'],
-                                           null,
-                                           false);
-	
-	}
-}
-$template->assign( 'category_option_false', $tpl);
-$template->assign( 'category_option_false_selected', array());
-
-
-
-
-// Categories prises en compte
-
-$query = '
-  SELECT id, name, uppercats, global_rank
-  FROM '.CATEGORIES_TABLE.
-  ' WHERE id IN ("'.implode('","', $me->my_config['cats']).'");';
-
-$result = pwg_query($query);
-  $categories = array();
-if (!empty($result))
-{
-	while ($row = mysql_fetch_assoc($result))
-		array_push($categories, $row);
-}
-usort($categories, 'global_rank_compare');
-$tpl2 = array();
-if (!empty($result))
-{
-		foreach ($categories as $cat)
-	{
-      		$tpl2[$cat['id']] = get_cat_display_name_cache($cat['uppercats'],
-                                           null,
-                                           false);
-	
-	}
-}
-$template->assign( 'category_option_true', $tpl2);
-$template->assign( 'category_option_true_selected', array());
-
-$template->assign('ECARD_ALLCATS', ($me->my_config['allcats'] ? 'checked="checked"' : ''));
-$template->assign('ECARD_USERCAT', ($me->my_config['user_cat'] ? 'checked="checked"' : ''));
-$template->assign('ECARD_RECURSIV', ($me->my_config['recursive'] ? 'checked="checked"' : ''));
-
-
-$template->assign(Array(
-	'F_ACTION' => '',
-	'L_CAT_OPTIONS_TRUE' => l10n('SelectedCat'),
-	'L_CAT_OPTIONS_FALSE' => l10n('NonSelectedCat'),
-));
-
-
-
-$template->assign_var_from_handle('DOUBLE_SELECT', 'double_select');
-$template->assign_var_from_handle( 'ADMIN_CONTENT', 'plugin_admin_content');
-
-
-
-function get_html_groups_selection(
-  $groups,
-  $fieldname,
-  $selecteds = array()
-  )
-{
-  global $conf;
-  if (count ($groups) == 0 )
-  {
-    return '';
-  }
-  $output = '<div id="'.$fieldname.'">';
-  $id = 1;
-  foreach ($groups as $group)
-  {
-    $output.=
-
-      '<input type="checkbox" name="'.$fieldname.'[]"'
-      .' id="group_'.$id++.'"'
-      .' value="'.$group['id'].'"'
-      ;
-
-    if (in_array($group['id'], $selecteds))
-    {
-      $output.= ' checked="checked"';
-    }
-
-    $output.=
-      '><label>'
-      .'&nbsp;'. $group['name']
-      .'</label>'
-      ."\n"
-      ;
-  }
-  $output.= '</div>';
-
-  return $output;
-}
-
-
-
-function get_all_groups()
-{
-$query = '
-SELECT id, name
-  FROM '.GROUPS_TABLE.'
-  ORDER BY name ASC
-;';
-$result = pwg_query($query);
-
-$groups = array();
-  while ($row = mysql_fetch_assoc($result))
-  {
-    array_push($groups, $row);
-  }
-
-  uasort($groups, 'name_compare');
-  return $groups;
-}
-
-
-?>
Index: tensions/Piwecard/admin/params.php
===================================================================
--- /extensions/Piwecard/admin/params.php	(revision 19925)
+++ 	(revision )
@@ -1,64 +1,0 @@
-<?php
-if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');
-
-global $template, $page;
- 
-$me = get_plugin_data($plugin_id);
-
-
-if (isset($_POST['submit'])) { 
-
-    $me->my_config['activ'] = $_POST['ecard_activ'];
-    $me->my_config['send_copy'] = isset($_POST['ecard_sendcopy']);
-    $me->my_config['expmail_change'] = isset($_POST['ecard_modifexpmail']);
-    $me->my_config['send_HTML'] = isset($_POST['ecard_sendhtml']);
-    $me->my_config['ecard_showinfos'] = isset($_POST['ecard_showinfos']);
-    $me->my_config['nb_ecard_page'] = $_POST['ecard_nb_page'];
-
-    $me->my_config['defaultmail'] = $_POST['defaultmail'];
-
-	
-	$me->my_config['subject_link'] = htmlspecialchars($_POST['ecard_subject_link']);
-	$me->my_config['message_link'] = htmlspecialchars($_POST['ecard_message_link']);
-	$me->my_config['message_HTML'] = stripslashes($_POST['ecard_message_html']);
-	$me->save_config();
-	array_push($page['infos'], l10n('ecard_admin_saveOK'));
-	
-}
-
-$template->append('ECARD_ACTIV',array('ID' => 0,'NAME' => l10n('ecard_nolimit'),'SELECTED' => ($me->my_config['activ'] == 0 ? 'selected' : '')));
-
-for($jj=5; $jj < 30; $jj+=5)
-{
-	$template->append('ECARD_ACTIV',array('ID' => $jj,'NAME' => $jj.' '.l10n('ecard_days'),'SELECTED' => ($me->my_config['activ'] == $jj ? 'selected' : '')));
-}
-
-for($jj=1; $jj < 20; $jj++)
-	$template->append('ECARD_NB_PAGE',array('ID' => $jj,'NAME' => $jj,'SELECTED' => ($me->my_config['nb_ecard_page'] == $jj ? 'selected' : '')));
-
-
-$template->assign('ECARD_SENDCOPY', $me->my_config['send_copy'] ? 'checked="checked"' : '');
-$template->assign('ECARD_MODIFEXPMAIL', $me->my_config['expmail_change'] ? 'checked="checked"' : '');
-$template->assign('ECARD_SENDHTML', $me->my_config['send_HTML'] ? 'checked="checked"' : '');
-$template->assign('ECARD_SHOWINFOS', $me->my_config['ecard_showinfos'] ? 'checked="checked"' : '');
-
-$template->assign('ECARD_DEFAULT_MAIL', $me->my_config['defaultmail']);
-
-$template->assign('ECARD_SUBJECT_LINK', htmlspecialchars_decode($me->my_config['subject_link']));
-$template->assign('ECARD_MESSAGE_LINK', htmlspecialchars_decode($me->my_config['message_link']));
-$template->assign('ECARD_MESSAGE_HTML', htmlspecialchars_decode($me->my_config['message_HTML']));
-	
-// Use FCK Editor
-if (function_exists('set_fckeditor_instance'))
-{
-  set_fckeditor_instance('ecard_message_html', 'Full', '99%', '250px');
-}
-
-    
-$template->set_filename('plugin_admin_content', dirname(__FILE__) . '/template/params.tpl');
-$template->assign_var_from_handle('ADMIN_CONTENT', 'plugin_admin_content');
-
-		
-
-
-?>
Index: /extensions/Piwecard/admin/template/admin_consult.tpl
===================================================================
--- /extensions/Piwecard/admin/template/admin_consult.tpl	(revision 19926)
+++ /extensions/Piwecard/admin/template/admin_consult.tpl	(revision 19926)
@@ -0,0 +1,45 @@
+<div class="titrePage">
+	<h2>{'ecard'|@translate}</h2>
+</div>
+<fieldset>
+	<legend>{'ecard_list'|@translate}</legend>
+	<div id="ECardAdminConsult">
+		<div class="ecard_first_line">
+			{'ecard_list'|@translate} [{$NBECARDVALID} {'valid'|@translate} / {$NBECARD} {'total'|@translate}]
+			<a href="{$ecard_del_all}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');" title="{'ecard_delete_all'|@translate}">
+				{'ecard_delete_all'|@translate}
+				<img src="{$themeconf.admin_icon_dir}/delete.png" alt="{'ecard_delete_all'|@translate}"/>
+			</a>
+		</div>
+		{if count($ecard_file)}
+			{foreach from=$ecard_file item=ecard_file}
+				<div class="ecard_list">
+					<span>
+						<a href="{$ecard_file.ECARD_DELETE_ADM}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');" title="{'ecard_force_delete'|@translate}"><img src="{$themeconf.admin_icon_dir}/delete.png" alt="{'ecard_force_delete'|@translate}"/></a>
+					</span>
+					<span>
+						{if $ecard_file.VALID}
+							<img src="{$themeconf.admin_icon_dir}/validate_s.png" alt="{'ecard_valid'|@translate}"/>
+						{else}
+							<a href="{$ecard_file.ECARD_DELETE}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');" title="{'ecard_delete'|@translate}"><img src="{$themeconf.admin_icon_dir}/uncheck.png" alt="{'ecard_invalid'|@translate}"/></a>
+						{/if}
+					</span>
+					<span>
+						{$ecard_file.DATE}
+					</span>
+					<span>
+						<a href="{$ecard_file.LINK}">{$ecard_file.SUJET}</a>
+					</span>
+					<span>
+						{'ecard_from'|@translate} {$ecard_file.FROM} ({$ecard_file.FROMMAIL}) {'ecard_to'|@translate} {$ecard_file.TO} ({$ecard_file.TOMAIL}) 
+					</span>
+				</div>
+			{/foreach}
+		{else}
+			<div class="ecard_no_ecard">
+				{'ecard_no_card'|@translate}
+			</div>
+		{/if}
+	</div>
+</fieldset>
+{if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
Index: /extensions/Piwecard/admin/template/admin_manage.tpl
===================================================================
--- /extensions/Piwecard/admin/template/admin_manage.tpl	(revision 19926)
+++ /extensions/Piwecard/admin/template/admin_manage.tpl	(revision 19926)
@@ -0,0 +1,65 @@
+<div class="titrePage">
+  <h2>{$ECARD_VERSION}</h2>
+</div>
+<form method="post" action="" class="properties"  ENCTYPE="multipart/form-data">
+<fieldset>
+	<legend>{'ecard_manage'|@translate}</legend>
+	<table>
+		<tr><td colspan="2"><br></td></tr>
+		<TR>
+			<TD colspan="2">
+				<b><u>{'ecard_manage'|@translate} 1 :</u></b> <input type="checkbox" name="user_cat" {$ECARD_USERCAT}/> {'ecard_active_user_cat'|@translate} 
+				<br/>
+			</TD>
+		</TR>
+		<TR>
+			<TD colspan="2">
+				<b><u>{'ecard_manage'|@translate} 2 :</u></b> <input type="checkbox" name="allcats" {$ECARD_ALLCATS}/> {'ecard_active_all_cats'|@translate} 
+				<br/>
+			</TD>
+		</TR>
+			<TD colspan="2">
+				<b><u>{'ecard_manage'|@translate} 3 :</u></b>  {'ecard_active_spec_cats'|@translate} 
+				<br/>
+			</TD>
+		</TR>
+		<TR>
+			<TD colspan="2">
+			<table>
+				<tr>
+					<td colspan ="2">
+						{'option'|@translate} : <input type="checkbox" name="recursiv" {$ECARD_RECURSIV}/> {'ecard_recursiv'|@translate} 
+						<br/>
+					</TD>
+				</TR>
+				<TR>
+					<TD colspan="2"><br>
+					<td>
+				</tr>
+				<TR >
+					<td align="left" colspan="2">
+						<div id="cat_select0">
+						{'option'|@translate} : <b>{'ecard_cat'|@translate}&nbsp;</b>
+						</div>
+					</td>
+				</tr>
+				<tr>
+					<td class="categoryList1" colspan="2">
+					<div id="cat_select">
+						{$DOUBLE_SELECT}
+					</div>
+					</td>
+				</tr>
+			</table>
+			</td>
+		</tr>
+
+	</table>
+
+	
+<br/>
+</fieldset>
+ 
+<p><input type="submit" name="submit" value="{'ecard_admin_submit'|@translate}" /></p>
+
+</form>
Index: /extensions/Piwecard/admin/template/admin_params.tpl
===================================================================
--- /extensions/Piwecard/admin/template/admin_params.tpl	(revision 19926)
+++ /extensions/Piwecard/admin/template/admin_params.tpl	(revision 19926)
@@ -0,0 +1,82 @@
+<div class="titrePage">
+  <h2>{$ECARD_VERSION}</h2>
+</div>
+<form method="post" action=""   ENCTYPE="multipart/form-data">
+
+<fieldset>
+	<legend>{'ecard_config'|@translate}</legend>
+  <ul>
+    <li>
+		  {'ecard_activ_nb'|@translate}
+		  <select id="ecard_activ" name="ecard_activ">
+			 {foreach from=$ECARD_ACTIV item=ECARD_ACTIV}
+			  <option value="{$ECARD_ACTIV.ID}" {$ECARD_ACTIV.SELECTED}>{$ECARD_ACTIV.NAME}</option>
+			{/foreach}
+		  </select>
+    </li>
+    <li>
+			<input type="checkbox" name="ecard_sendcopy" {$ECARD_SENDCOPY}/> {'ecard_send_copy'|@translate} 
+				<br/>
+	</li>
+    <li>
+			<input type="checkbox" name="ecard_modifexpmail" {$ECARD_MODIFEXPMAIL}/> {'ecard_nomodif_expmail'|@translate} 
+				<br/>
+	</li>
+    <li>
+			<input type="checkbox" name="ecard_sendhtml" {$ECARD_SENDHTML}/> {'ecard_send_HTML'|@translate} 
+				<br/>
+	</li>
+    <li>
+			<input type="checkbox" name="ecard_showinfos" {$ECARD_SHOWINFOS}/> {'ecard_show_infos'|@translate} 
+				<br/>
+	</li>
+    <li>
+		  {'ecard_admin_nb_page'|@translate}
+		  <select id="ecard_nb_page" name="ecard_nb_page">
+			 {foreach from=$ECARD_NB_PAGE item=ECARD_NB_PAGE}
+			  <option value="{$ECARD_NB_PAGE.ID}" {$ECARD_NB_PAGE.SELECTED}>{$ECARD_NB_PAGE.NAME}</option>
+			{/foreach}
+		  </select>
+    </li>
+    <li>
+		  {'ecard_default_mail'|@translate}     <input type="text" maxlength="50" size="50" name="defaultmail" id="defaultmail" value="{$ECARD_DEFAULT_MAIL}" />
+
+    </li>
+  </ul>
+
+</fieldset>
+
+<fieldset>
+	<legend>{'ecard_mail_config'|@translate}</legend>
+</br>
+  <ul>
+    <li>
+      <span class="property">
+        <label for="ecard_subject_link">{'ecard_subject_link'|@translate}</label>
+      </span>
+      <input type="text" maxlength="255" size="50" name="ecard_subject_link" id="ecard_subject_link" value="{$ECARD_SUBJECT_LINK}" />
+    </li>
+    <li>
+
+      <span class="property">
+        <label for="page_banner">{'ecard_message_link'|@translate}</label>
+      </span>
+      <textarea name="ecard_message_link" id="ecard_message_link"  rows="10" cols="50" style="width:100%; height: 150px;">{$ECARD_MESSAGE_LINK}</textarea>
+    </li>
+    <li>
+
+      <span class="property">
+        <label for="page_banner">{'ecard_message_html'|@translate}</label>
+      </span>
+      <textarea name="ecard_message_html" id="ecard_message_html" rows="10" cols="50" style="width:100%; height: 200px;">{$ECARD_MESSAGE_HTML}</textarea>
+    </li>
+	<p><div align="left">
+	<small>{'ecard_parameters'|@translate}<small>
+	</div></p>
+  </ul>
+	  
+</fieldset>
+
+<p><input type="submit" name="submit" value="{'ecard_admin_submit'|@translate}" /></p>
+
+</form>
Index: tensions/Piwecard/admin/template/consult.tpl
===================================================================
--- /extensions/Piwecard/admin/template/consult.tpl	(revision 19925)
+++ 	(revision )
@@ -1,51 +1,0 @@
-<div class="titrePage">
-  <h2>{$ECARD_VERSION}</h2>
-</div>
-<fieldset>
-	<legend>{'ecard_list'|@translate}</legend>
-</br>
-<table align="left">
-	<tr>
-		<td colspan="5"  align="left">
-		{'ecard_list'|@translate} [{$NBECARDVALID} {'valid'|@translate} / {$NBECARD} {'total'|@translate}]
-			<a href="{$DELALL}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');" title="{'ecard_delete_all'|@translate}">{'ecard_delete_all'|@translate}<img src="{$themeconf.admin_icon_dir}/delete.png" alt="{'ecard_delete_all'|@translate}"/></a>
-
-		</td>
-	</tr>
-	{if count($FILE)}
-	 {foreach from=$FILE item=FILE}
-		<tr align="left">
-			<td>
-				<a href="{$FILE.ECARD_DELETE_ADM}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');" title="{'ecard_force_delete'|@translate}"><img src="{$themeconf.admin_icon_dir}/delete.png" alt="{'ecard_force_delete'|@translate}"/></a>
-			</td>
-			<td>
-				{if $FILE.VALID}
-					<img src="{$themeconf.admin_icon_dir}/validate_s.png" alt="{'ecard_valid'|@translate}"/>
-				{else}
-					<a href="{$FILE.ECARD_DELETE}" onclick="return confirm('{'Are you sure?'|@translate|@escape:javascript}');" title="{'ecard_delete'|@translate}"><img src="{$themeconf.admin_icon_dir}/uncheck.png" alt="{'ecard_invalid'|@translate}"/></a>
-				{/if}
-			</td>
-			<td>
-				{$FILE.DATE}
-			</td>
-			<td>
-				<a href="{$FILE.LINK}">{$FILE.SUJET}</a>
-			</td>
-			<td>
-				{'ecard_from'|@translate} {$FILE.FROM} ({$FILE.FROMMAIL}) {'ecard_to'|@translate} {$FILE.TO} ({$FILE.TOMAIL}) 
-
-			</td>
-		</tr>
-	  {/foreach}
-	 {else}
-		<tr>
-		<td colspan="2" align="left">
-			<b>{'ecard_no_card'|@translate}</b>
-			</td>
-		</tr>
-			
-	 {/if}
-</table>
-
-</fieldset>
-{if !empty($navbar) }{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
Index: tensions/Piwecard/admin/template/manage.tpl
===================================================================
--- /extensions/Piwecard/admin/template/manage.tpl	(revision 19925)
+++ 	(revision )
@@ -1,65 +1,0 @@
-<div class="titrePage">
-  <h2>{$ECARD_VERSION}</h2>
-</div>
-<form method="post" action="" class="properties"  ENCTYPE="multipart/form-data">
-<fieldset>
-	<legend>{'ecard_manage'|@translate}</legend>
-	<table>
-		<tr><td colspan="2"><br></td></tr>
-		<TR>
-			<TD colspan="2">
-				<b><u>{'ecard_manage'|@translate} 1 :</u></b> <input type="checkbox" name="user_cat" {$ECARD_USERCAT}/> {'ecard_active_user_cat'|@translate} 
-				<br/>
-			</TD>
-		</TR>
-		<TR>
-			<TD colspan="2">
-				<b><u>{'ecard_manage'|@translate} 2 :</u></b> <input type="checkbox" name="allcats" {$ECARD_ALLCATS}/> {'ecard_active_all_cats'|@translate} 
-				<br/>
-			</TD>
-		</TR>
-			<TD colspan="2">
-				<b><u>{'ecard_manage'|@translate} 3 :</u></b>  {'ecard_active_spec_cats'|@translate} 
-				<br/>
-			</TD>
-		</TR>
-		<TR>
-			<TD colspan="2">
-			<table>
-				<tr>
-					<td colspan ="2">
-						{'option'|@translate} : <input type="checkbox" name="recursiv" {$ECARD_RECURSIV}/> {'ecard_recursiv'|@translate} 
-						<br/>
-					</TD>
-				</TR>
-				<TR>
-					<TD colspan="2"><br>
-					<td>
-				</tr>
-				<TR >
-					<td align="left" colspan="2">
-						<div id="cat_select0">
-						{'option'|@translate} : <b>{'ecard_cat'|@translate}&nbsp;</b>
-						</div>
-					</td>
-				</tr>
-				<tr>
-					<td class="categoryList1" colspan="2">
-					<div id="cat_select">
-						{$DOUBLE_SELECT}
-					</div>
-					</td>
-				</tr>
-			</table>
-			</td>
-		</tr>
-
-	</table>
-
-	
-<br/>
-</fieldset>
- 
-<p><input type="submit" name="submit" value="{'ecard_admin_submit'|@translate}" /></p>
-
-</form>
Index: tensions/Piwecard/admin/template/params.tpl
===================================================================
--- /extensions/Piwecard/admin/template/params.tpl	(revision 19925)
+++ 	(revision )
@@ -1,82 +1,0 @@
-<div class="titrePage">
-  <h2>{$ECARD_VERSION}</h2>
-</div>
-<form method="post" action=""   ENCTYPE="multipart/form-data">
-
-<fieldset>
-	<legend>{'ecard_config'|@translate}</legend>
-  <ul>
-    <li>
-		  {'ecard_activ_nb'|@translate}
-		  <select id="ecard_activ" name="ecard_activ">
-			 {foreach from=$ECARD_ACTIV item=ECARD_ACTIV}
-			  <option value="{$ECARD_ACTIV.ID}" {$ECARD_ACTIV.SELECTED}>{$ECARD_ACTIV.NAME}</option>
-			{/foreach}
-		  </select>
-    </li>
-    <li>
-			<input type="checkbox" name="ecard_sendcopy" {$ECARD_SENDCOPY}/> {'ecard_send_copy'|@translate} 
-				<br/>
-	</li>
-    <li>
-			<input type="checkbox" name="ecard_modifexpmail" {$ECARD_MODIFEXPMAIL}/> {'ecard_nomodif_expmail'|@translate} 
-				<br/>
-	</li>
-    <li>
-			<input type="checkbox" name="ecard_sendhtml" {$ECARD_SENDHTML}/> {'ecard_send_HTML'|@translate} 
-				<br/>
-	</li>
-    <li>
-			<input type="checkbox" name="ecard_showinfos" {$ECARD_SHOWINFOS}/> {'ecard_show_infos'|@translate} 
-				<br/>
-	</li>
-    <li>
-		  {'ecard_admin_nb_page'|@translate}
-		  <select id="ecard_nb_page" name="ecard_nb_page">
-			 {foreach from=$ECARD_NB_PAGE item=ECARD_NB_PAGE}
-			  <option value="{$ECARD_NB_PAGE.ID}" {$ECARD_NB_PAGE.SELECTED}>{$ECARD_NB_PAGE.NAME}</option>
-			{/foreach}
-		  </select>
-    </li>
-    <li>
-		  {'ecard_default_mail'|@translate}     <input type="text" maxlength="50" size="50" name="defaultmail" id="defaultmail" value="{$ECARD_DEFAULT_MAIL}" />
-
-    </li>
-  </ul>
-
-</fieldset>
-
-<fieldset>
-	<legend>{'ecard_mail_config'|@translate}</legend>
-</br>
-  <ul>
-    <li>
-      <span class="property">
-        <label for="ecard_subject_link">{'ecard_subject_link'|@translate}</label>
-      </span>
-      <input type="text" maxlength="255" size="50" name="ecard_subject_link" id="ecard_subject_link" value="{$ECARD_SUBJECT_LINK}" />
-    </li>
-    <li>
-
-      <span class="property">
-        <label for="page_banner">{'ecard_message_link'|@translate}</label>
-      </span>
-      <textarea name="ecard_message_link" id="ecard_message_link"  rows="10" cols="50" style="width:100%; height: 150px;">{$ECARD_MESSAGE_LINK}</textarea>
-    </li>
-    <li>
-
-      <span class="property">
-        <label for="page_banner">{'ecard_message_html'|@translate}</label>
-      </span>
-      <textarea name="ecard_message_html" id="ecard_message_html" rows="10" cols="50" style="width:100%; height: 200px;">{$ECARD_MESSAGE_HTML}</textarea>
-    </li>
-	<p><div align="left">
-	<small>{'ecard_parameters'|@translate}<small>
-	</div></p>
-  </ul>
-	  
-</fieldset>
-
-<p><input type="submit" name="submit" value="{'ecard_admin_submit'|@translate}" /></p>
-
-</form>
Index: /extensions/Piwecard/css/admin.css
===================================================================
--- /extensions/Piwecard/css/admin.css	(revision 19926)
+++ /extensions/Piwecard/css/admin.css	(revision 19926)
@@ -0,0 +1,13 @@
+#ECardAdminConsult .ecard_first_line {
+	text-align: left;
+	margin-bottom: 1em;
+}
+
+#ECardAdminConsult .ecard_list {
+	text-align: left;
+}
+
+#ECardAdminConsult .ecard_no_ecard {
+	text-align: left;
+	font-weight: bold;
+}
Index: /extensions/Piwecard/include/default_values.inc.php
===================================================================
--- /extensions/Piwecard/include/default_values.inc.php	(revision 19925)
+++ /extensions/Piwecard/include/default_values.inc.php	(revision 19926)
@@ -14,5 +14,4 @@
 Le Webmaster";
 
-
 $ecard_default_values['subject_link'] = "Une eCard vous a ete envoyee par %yourname%"; // subject of the mail when only a link is sent
 
@@ -27,16 +26,12 @@
 
 $ecard_default_values['active_parameter'] = true;	// Add function for a user to choice the valid duration for an ecard
-$ecard_default_values['message_HTML'] = 'Bonjour %recipientname% ! 
+$ecard_default_values['message_HTML'] =
+'Bonjour %recipientname% ! 
 <b>%yourname%</b> vous a envoy&eacute; une eCard depuis le site <a href="%websiteurl%">%website%</a> :
-
-<b>%ecardsubject%<b>
-	<a href="%ecardurl%"> 
-	<img class="theImage" src="%pictureurl%" /> 
-	</a>
-	%pictureinfos%
-<p>
-%ecardmessage%
-<p>
-Vous pouvez &eacute;galement <a href="%ecardurl%">en cliquant sur le lien ici</a> .
+<b>%ecardsubject%</b>
+<a href="%ecardurl%"><img class="theImage" src="%pictureurl%" /></a>
+%pictureinfos%
+<p>%ecardmessage%</p>
+Vous pouvez &eacute;galement consulter la carte virtuelle <a href="%ecardurl%">en cliquant sur le lien ici</a> .
 A bientot sur <a href="%websiteurl%">%website%</a> !
 Le Webmaster';
Index: /extensions/Piwecard/language/fr_FR/plugin.lang.php
===================================================================
--- /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 19925)
+++ /extensions/Piwecard/language/fr_FR/plugin.lang.php	(revision 19926)
@@ -6,11 +6,8 @@
  */
 
-
 $lang['ecard']							= 'Piwecard';
 $lang['ecard_infos']	 				= 'Détail de la carte virtuelle';
 $lang['ecard_from']						= 'De';
 $lang['ecard_to']						= 'A';
-
-
 
 // ecart.tpl
@@ -22,5 +19,4 @@
 $lang['ecard_mailhtml']					= 'Mail complet avec photo';
 $lang['ecard_send_copy']				= 'Recevoir une copie';
-
 
 $lang['ecard_send_stage1']				= 'Etape n°1 : Taper le message';
@@ -47,5 +43,4 @@
 
 $lang['ecard_send_mandatory_fields']	=  'Champs obligatoires';
-
 
 // publish.tpl
@@ -96,5 +91,5 @@
 <b>%pictureinfos%</b>    ==> Informations de l\'image (nom et auteur)';
 
-$lang['ecard_admin_consult']					= 'Consultation';
+$lang['ecard_admin_consult']			= 'Consultation';
 $lang['ecard_consult_detail']			= 'Consultation des eCard présentes';
 $lang['ecard_list']						= 'Liste des Cartes Virtuelles envoyées';
Index: /extensions/Piwecard/main.inc.php
===================================================================
--- /extensions/Piwecard/main.inc.php	(revision 19925)
+++ /extensions/Piwecard/main.inc.php	(revision 19926)
@@ -75,4 +75,7 @@
 	global $template;
 	
+	if (defined('IN_ADMIN') and IN_ADMIN)
+		$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.ECARD_PATH . 'css/admin.css">');
+	
 	$template->append('head_elements', '<link rel="stylesheet" type="text/css" href="'.ECARD_PATH . 'css/piwecard.css">');
 }	
